/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id:$
 */
package com.sun.ts.tests.websocket.api.javax.websocket.deploymentException;

import com.sun.javatest.Status;
import com.sun.ts.lib.harness.EETest.Fault;
import com.sun.ts.lib.harness.ServiceEETest;
import java.io.PrintWriter;
import java.util.Properties;
import javax.websocket.DeploymentException;

public class WSClient extends ServiceEETest {

    public static void main(String[] args) {
        WSClient theTests = new WSClient();
        Status s = theTests.run(args, new PrintWriter(System.out),
                new PrintWriter(System.err));
        s.exit();
    }

    /*
     * @class.setup_props: webServerHost;
     *                     webServerPort;
     *                     ws_wait;
     *                     ts_home;
     */
    public void setup(String[] args, Properties p) throws Fault {
    }


    /* Run test */
    /*
     * @testName:  constructorTest
     * @assertion_ids: WebSocket:JAVADOC:49;
     *
     * @test_Strategy: Test constructor DeploymentException(String)
     */
    public void constructorTest() throws Fault {
        String reason = "TCK: testing the DeploymentException(String)";

        DeploymentException dex = new DeploymentException(reason);

    }

    /*
     * @testName:  constructorTest1
     * @assertion_ids: WebSocket:JAVADOC:50;
     *
     * @test_Strategy: Test constructor DeploymentException(String, Throwable)
     */
    public void constructorTest1() throws Fault {
        String reason = "TCK: testing the DeploymentException(String)";

        DeploymentException dex = new DeploymentException(reason, new Throwable("TCK_Test"));
    }

    public void cleanup() {
    }
}